﻿
:root {
    --mud-typography-default-family: 'Yekan', Tahoma, sans-serif !important;
}

body, .mud-typography {
    font-family: var(--mud-typography-default-family) !important;
    direction: rtl;
    margin: 0;
    display: flex;
    justify-content: center;
}


.profile-root {
    width: 100%;
    height: 100vh; /* ارتفاع ثابت به اندازه صفحه */
    margin: 0 auto;
    position: relative;
    background-color: #f5f5f5;
    box-shadow: 0 0 20px rgba(0,0,0,0.2);
    overflow-y: auto; /* اسکرول فقط داخل کادر موبایلی باشد */
}


.bg-green-gradient {
    background: linear-gradient(135deg, #1b5e20 0%, #4caf50 100%);
    color: white;
}

.dashboard-header-curve {
    border-bottom-left-radius: 32px;
    border-bottom-right-radius: 32px;
    padding: 24px 24px 60px 24px; /* پدینگ پایین بیشتر برای اورلپ شدن کارت‌ها */
}



/*.navbar .nav-link {
    font-size: 0.95rem;
    color: #333;
}*/

.py-6 {
    padding-top: 4rem;
    padding-bottom: 4rem;
}

.py-7 {
    padding-top: 5rem;
    padding-bottom: 5rem;
}

.py-8 {
    padding-top: 6rem;
    padding-bottom: 6rem;
}
.ant-message {
    top: 20% !important;
    transform: translateY(-20%);
}

.navbar-logo {
    height: 36px;
    width: auto;
    display: block;
}
.navbar .nav-link.active {
    color: #0d6efd;
    font-weight: 600;
}

/* حالت اولیه منو روی اسلایدر */
.navbar-transparent {
    background-color: transparent !important;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

    .navbar-transparent .nav-link,
    .navbar-transparent .navbar-brand,
    .navbar-transparent .btn {
        color: black !important; /* متن همیشه سفید روی اسلایدر */
    }

/* وقتی اسکرول شد */
.navbar-scrolled {
    background-color: rgba(255, 255, 255, 0.85) !important; /* سفید با شفافیت 85% */
    box-shadow: 0 2px 6px rgba(0,0,0,0.15);
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.navbar-scrolled .nav-link,
.navbar-scrolled .navbar-brand,
.navbar-scrolled .btn {
    color: black !important; /* متن مشکی بعد از اسکرول */
}

@media (max-width: 991.98px) {

    .navbar .navbar-collapse.show {
        background-color: rgba(255, 255, 255, 0.85) !important; /* سفید با شفافیت 85% */
        padding: 1rem;
        border-radius: 0 0 12px 12px;
    }

    .navbar .navbar-collapse.show .nav-link,
    .navbar .navbar-collapse.show .navbar-brand {
        color: #000 !important;
    }
}
@media (max-width: 991.98px) {

    .navbar .navbar-collapse.collapsing,
    .navbar .navbar-collapse.show {
        background-color: rgba(255, 255, 255, 0.85) !important;
        padding: 1rem;
        border-radius: 0 0 12px 12px;
    }

        .navbar .navbar-collapse.collapsing .nav-link,
        .navbar .navbar-collapse.show .nav-link {
            color: #000 !important;
        }
}

@media (min-width: 639px) and (max-width: 991.98px)   {
    .navbar-nav {
        flex-direction: row;
        gap: 0.5rem;
    }

    .nav-link {
        padding: 0.5rem 0.75rem;
        white-space: nowrap;
        font-size: 0.9rem;
    }

    .navbar-toggler {
        display: none;
    }
}

.custom-toggler {
    border: none;
    font-size: 26px;
    color: #FACC15; /* زرد طلایی */
    background: #99F6E4;
}

.custom-toggler:focus {
    box-shadow: none;
}
.nav-link {
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.nav-item:first-of-type {
     padding-top: unset !important; 
}
.navbar-collapse {
    transform: none !important;
}


.auth-menu {
    list-style: none;
}

.auth-menu-link {
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 6px;
}

/* هماهنگ با navbar-transparent */
.navbar-transparent .auth-menu-link {
    color: black !important;
}

/* وقتی اسکرول شد */
.navbar-scrolled .auth-menu-link {
    color: black !important;
}

/* آیکون */
.auth-menu-link .anticon {
    font-size: 18px;
}



footer a:hover {
    color: #fff !important;
}
